10 Replies Latest reply on Jul 1, 2010 7:35 AM by Lukas Jungmann

    Installing JBoss Tools on Eclipse 3.6 RC

    Karsten Wutzke Expert

      Hello all,

       

      I'm new to JBoss and Hibernate. I have Eclipse 3.6 RC1 on my Windows 64 bit machine and I was trying to install JBoss Tools by using the Eclipse update tool as described at

       

      https://www.jboss.org/tools/download/stable/3_1_GA.html

       

      or rather

       

      https://www.jboss.org/tools/download/installation/update_3_1.html

       

      However, because I have Eclipse 3.6 RC1 (Helios) I seem to get dependency problems all over. I'm using the update site URL from the first link above:

       

      http://download.jboss.org/jbosstools/updates/JBossTools-3.1.0.GA

       

      Here's what Eclipse says:

       

      Cannot complete the install because of a conflicting dependency.
        Software being installed: Seam Tools 3.1.0.v201003050540R-H56-GA (org.jboss.tools.seam.feature.feature.group 3.1.0.v201003050540R-H56-GA)
        Software currently installed: Eclipse IDE for Java and Report Developers 1.3.0.20100517-1551 (epp.package.reporting 1.3.0.20100517-1551)
        Only one of the following can be installed at once:
          International Components for Unicode for Java (ICU4J) 4.2.1.v20100412 (com.ibm.icu 4.2.1.v20100412)
          International Components for Unicode for Java (ICU4J) 4.0.1.v20090822 (com.ibm.icu 4.0.1.v20090822)
          International Components for Unicode for Java (ICU4J) 4.0.1.v20090415 (com.ibm.icu 4.0.1.v20090415)
        Only one of the following can be installed at once:
          Common Frameworks 1.2.0.v201003040800 (org.eclipse.wst.common.frameworks 1.2.0.v201003040800)
          Common Frameworks 1.1.300.v200904160730 (org.eclipse.wst.common.frameworks 1.1.300.v200904160730)
        Cannot satisfy dependency:
          From: Eclipse IDE for Java and Report Developers 1.3.0.20100517-1551 (epp.package.reporting 1.3.0.20100517-1551)
          To: org.eclipse.epp.package.reporting.feature.feature.group [1.3.0.20100517-1551]
        Cannot satisfy dependency:
          From: EPP Reporting Feature 1.3.0.20100517-1551 (org.eclipse.epp.package.reporting.feature.feature.group 1.3.0.20100517-1551)
          To: org.eclipse.platform.feature.group [3.6.0.v20100512-9gF78GpqFsgprEYh7z-Q7acirDtvcwz-ebYa]
        Cannot satisfy dependency:
          From: Dali Java Persistence Tools - Core 2.2.1.v200908270220 (org.eclipse.jpt.core 2.2.1.v200908270220)
          To: bundle org.eclipse.jst.j2ee [1.1.200,1.2.0)
        Cannot satisfy dependency:
          From: Dali Java Persistence Tools - Core 2.2.1.v200908270220 (org.eclipse.jpt.core 2.2.1.v200908270220)
          To: bundle org.eclipse.wst.common.frameworks [1.1.200,1.2.0)
        Cannot satisfy dependency:
          From: Java EE Component 1.1.301.v200909030330 (org.eclipse.jst.j2ee 1.1.301.v200909030330)
          To: bundle com.ibm.icu [3.4.4,4.1.0)
        Cannot satisfy dependency:
          From: Java EE Component 1.1.301.v201001272230 (org.eclipse.jst.j2ee 1.1.301.v201001272230)
          To: bundle com.ibm.icu [3.4.4,4.1.0)
        Cannot satisfy dependency:
          From: Java EE Component 1.1.400.v201004292000 (org.eclipse.jst.j2ee 1.1.400.v201004292000)
          To: bundle org.eclipse.wst.common.frameworks [1.2.0,2.0.0)
        Cannot satisfy dependency:
          From: Java EE Component 1.1.400.v201005130500 (org.eclipse.jst.j2ee 1.1.400.v201005130500)
          To: bundle org.eclipse.wst.common.frameworks [1.2.0,2.0.0)
        Cannot satisfy dependency:
          From: Eclipse Platform 3.6.0.v20100512-9gF78GpqFsgprEYh7z-Q7acirDtvcwz-ebYa (org.eclipse.platform.feature.group 3.6.0.v20100512-9gF78GpqFsgprEYh7z-Q7acirDtvcwz-ebYa)
          To: org.eclipse.rcp.feature.group [3.6.0.v20100427-9KAjFKvFs-Uz-4QX1m0EdXVS]
        Cannot satisfy dependency:
          From: Eclipse RCP 3.6.0.v20100427-9KAjFKvFs-Uz-4QX1m0EdXVS (org.eclipse.rcp.feature.group 3.6.0.v20100427-9KAjFKvFs-Uz-4QX1m0EdXVS)
          To: com.ibm.icu [4.2.1.v20100412]
        Cannot satisfy dependency:
          From: Hibernate Tools 3.3.0.v201003050540R-H56-GA (org.hibernate.eclipse.feature.feature.group 3.3.0.v201003050540R-H56-GA)
          To: org.jboss.tools.hibernate.jpt.core [3.3.0.v201003050540R-H56-GA]
        Cannot satisfy dependency:
          From: Hibernate Jdt Core 3.3.0.v201003050540R-H56-GA (org.jboss.tools.hibernate.jpt.core 3.3.0.v201003050540R-H56-GA)
          To: bundle org.eclipse.jpt.core [2.2.0,2.2.2)
        Cannot satisfy dependency:
          From: Seam Tools 3.1.0.v201003050540R-H56-GA (org.jboss.tools.seam.feature.feature.group 3.1.0.v201003050540R-H56-GA)
          To: org.hibernate.eclipse.feature.feature.group 3.2.0

       

      Hmmm... I did not expect JBoss Tools not to work with a newer Eclipse version. The errors above are not like they make a lot of sense to me. Does anyone know what they mean in human language (preferrably English)?

       

      Is there any cure for this (other than installing Eclipse 3.5, which is not desired)?

       

      Karsten

        • 1. Re: Installing JBoss Tools on Eclipse 3.6 RC
          Maxim Areshkau Apprentice

          Hi Karsten,

          We haven't moved yet on eclipse 3.6, and will do it ASAP.

          So to use JBoss Tools you need eclipse 3.5

          • 2. Re: Installing JBoss Tools on Eclipse 3.6 RC
            henk de boer Master

            Karsten Wutzke wrote:

             

            Is there any cure for this (other than installing Eclipse 3.5, which is not desired)?

             

             

            If I'm not mistaken it seems JBoss AS tools is always exactly half a cycle out of phase with the current version of Eclipse. Meaning, if Eclipse 3.x is released in June, then the JBoss AS tools version that specifically targets that Eclipse 3.x is released in December.

             

            I don't know if this is an explicit policy or if it just happens to turn out that way. I do know that a couple of other plug-ins that enhance base WTP are released with approximately the same schedule. I.e. the MyEclipse version that will support Eclipse 3.6 will also be released around coming November/December.

             

            Incidentally, I did a quick install of Eclipse 3.6 RC1 and tried to install the WTP Server adapter (for deployment to JBoss) and Visual Editor (for Facelets support) from the latest 3.3.1 nightly (http://download.jboss.org/jbosstools/updates/nightly/3.1.1.GA/), and lo and behold, but it seemed to install on Helios. Didn't try anything out yet, so it might crash soon, but at least it did install.

             

            There's also a 3.2.0.beta1 and a 3.2.helios here: http://download.jboss.org/jbosstools/builds/nightly/

             

            I'm not sure what the difference would be between those different 3.2 versions, but perhaps they are just try-out branches made by the developers.

            • 3. Re: Installing JBoss Tools on Eclipse 3.6 RC
              henk de boer Master

              p.s.

               

              One advantage of the half-a-cyle-out-of-phase is that when JBoss AS tools for Eclipse 3.6 comes out, Eclipse itself will already have had its first maintenance release, so you'll have a more bug free experience

              • 4. Re: Installing JBoss Tools on Eclipse 3.6 RC
                Rob Stryker Master

                There are compilation errors when compiling against eclipse 3.6 and wtp 3.2, some in AS Tools and some elsewhere, and unfortunately these cannot be committed until the entire jbosstools codebase is ready to switch. But we plan to switch our trunk over relatively quickly after the 3.6 release...

                • 5. Re: Installing JBoss Tools on Eclipse 3.6 RC
                  henk de boer Master

                  Incidentally, I did a quick install of Eclipse 3.6 RC1 and tried to install the WTP Server adapter (for deployment to JBoss) and Visual Editor (for Facelets support) from the latest 3.3.1 nightly (http://download.jboss.org/jbosstools/updates/nightly/3.1.1.GA/), and lo and behold, but it seemed to install on Helios. Didn't try anything out yet, so it might crash soon, but at least it did install.

                   

                  Surprisingly, the Visual Editor did not crash when opening an .xhtml and .jsp file. However, the WTP Server adapter does crash. I can add a JBoss AS 5.1 server runtime, but there is no way I can configure it to point to my JBoss AS installation. Among others, I get this exception:

                   

                   

                  org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter$TerminatingClassNotFoundException: An error occurred while automatically activating bundle org.jboss.ide.eclipse.as.ui (740).
                  at org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.postFindLocalClass(EclipseLazyStarter.java:121)
                  at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:453)
                  at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:216)
                  at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:393)
                  at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:469)
                  at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:422)
                  at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:410)
                  at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:107)
                  at java.lang.ClassLoader.loadClass(ClassLoader.java:252)
                  at org.eclipse.osgi.internal.loader.BundleLoader.loadClass(BundleLoader.java:338)
                  at org.eclipse.osgi.framework.internal.core.BundleHost.loadClass(BundleHost.java:232)
                  at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadClass(AbstractBundle.java:1197)
                  at org.eclipse.core.internal.registry.osgi.RegistryStrategyOSGI.createExecutableExtension(RegistryStrategyOSGI.java:174)
                  at org.eclipse.core.internal.registry.ExtensionRegistry.createExecutableExtension(ExtensionRegistry.java:904)
                  at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:243)
                  at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(ConfigurationElementHandle.java:55)
                  at org.eclipse.ui.internal.navigator.actions.CommonActionProviderDescriptor$1.run(CommonActionProviderDescriptor.java:197)
                  at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
                  at org.eclipse.ui.internal.navigator.actions.CommonActionProviderDescriptor.createActionProvider(CommonActionProviderDescriptor.java:194)
                  at org.eclipse.ui.navigator.NavigatorActionService$5.run(NavigatorActionService.java:349)
                  at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
                  at org.eclipse.ui.navigator.NavigatorActionService.getActionProviderInstance(NavigatorActionService.java:347)
                  at org.eclipse.ui.navigator.NavigatorActionService$3.run(NavigatorActionService.java:257)
                  at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
                  at org.eclipse.ui.navigator.NavigatorActionService.fillActionBars(NavigatorActionService.java:253)
                  at org.eclipse.ui.navigator.CommonNavigatorManager.selectionChanged(CommonNavigatorManager.java:222)
                  at org.eclipse.jface.viewers.Viewer$2.run(Viewer.java:162)
                  at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
                  at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:49)
                  at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:175)
                  at org.eclipse.jface.viewers.Viewer.fireSelectionChanged(Viewer.java:160)
                  at org.eclipse.jface.viewers.StructuredViewer.updateSelection(StructuredViewer.java:2162)
                  at org.eclipse.jface.viewers.StructuredViewer.setSelection(StructuredViewer.java:1699)
                  at org.eclipse.jface.viewers.TreeViewer.setSelection(TreeViewer.java:1139)
                  at org.eclipse.ui.navigator.CommonViewer.setSelection(CommonViewer.java:377)
                  at org.eclipse.jface.viewers.Viewer.setSelection(Viewer.java:392)
                  at org.eclipse.wst.server.ui.internal.cnf.ServersView2$3$1.run(ServersView2.java:125)
                  at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
                  at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:134)
                  at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3574)
                  at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3267)
                  at org.eclipse.jface.window.Window.runEventLoop(Window.java:825)
                  at org.eclipse.jface.window.Window.open(Window.java:801)
                  at org.eclipse.jface.dialogs.MessageDialog.open(MessageDialog.java:334)
                  at org.eclipse.jface.dialogs.MessageDialogWithToggle.open(MessageDialogWithToggle.java:114)
                  at org.eclipse.jface.dialogs.MessageDialogWithToggle.openYesNoQuestion(MessageDialogWithToggle.java:303)
                  at org.eclipse.ui.wizards.newresource.BasicNewProjectResourceWizard.confirmPerspectiveSwitch(BasicNewProjectResourceWizard.java:589)
                  at org.eclipse.ui.wizards.newresource.BasicNewProjectResourceWizard.updatePerspective(BasicNewProjectResourceWizard.java:512)
                  at org.jboss.tools.jst.web.ui.wizards.project.ImportWebProjectWizard.updatePerspective(ImportWebProjectWizard.java:128)
                  at org.jboss.tools.jst.web.ui.wizards.project.ImportWebProjectWizard.performFinish(ImportWebProjectWizard.java:92)
                  at org.eclipse.jface.wizard.WizardDialog.finishPressed(WizardDialog.java:811)
                  at org.eclipse.jface.wizard.WizardDialog.buttonPressed(WizardDialog.java:430)
                  at org.eclipse.jface.dialogs.Dialog$2.widgetSelected(Dialog.java:624)
                  at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:234)
                  at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
                  at org.eclipse.swt.widgets.Display.sendEvent(Display.java:3764)
                  at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1343)
                  at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1366)
                  at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1351)
                  at org.eclipse.swt.widgets.Widget.notifyListeners(Widget.java:1163)
                  at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:3610)
                  at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3265)
                  at org.eclipse.jface.window.Window.runEventLoop(Window.java:825)
                  at org.eclipse.jface.window.Window.open(Window.java:801)
                  at org.jboss.tools.common.model.ui.action.AddNatureActionDelegate.doRun(AddNatureActionDelegate.java:60)
                  at org.jboss.tools.common.model.ui.action.AddNatureActionDelegate.run(AddNatureActionDelegate.java:49)
                  at org.eclipse.ui.internal.PluginAction.runWithEvent(PluginAction.java:251)
                  at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:584)
                  at org.eclipse.jface.action.ActionContributionItem.access$2(ActionContributionItem.java:501)
                  at org.eclipse.jface.action.ActionContributionItem$5.handleEvent(ActionContributionItem.java:411)
                  at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
                  at org.eclipse.swt.widgets.Display.sendEvent(Display.java:3764)
                  at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1343)
                  at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1366)
                  at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1351)
                  at org.eclipse.swt.widgets.Widget.notifyListeners(Widget.java:1163)
                  at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:3610)
                  at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3265)
                  at org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:2624)
                  at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:2588)
                  at org.eclipse.ui.internal.Workbench.access$4(Workbench.java:2422)
                  at org.eclipse.ui.internal.Workbench$7.run(Workbench.java:670)
                  at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
                  at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:663)
                  at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
                  at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:115)
                  at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
                  at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
                  at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
                  at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:369)
                  at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
                  at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
                  at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
                  at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
                  at java.lang.reflect.Method.invoke(Method.java:592)
                  at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:619)
                  at org.eclipse.equinox.launcher.Main.basicRun(Main.java:574)
                  at org.eclipse.equinox.launcher.Main.run(Main.java:1407)
                  Caused by: org.osgi.framework.BundleException: Exception in org.jboss.ide.eclipse.as.ui.JBossServerUIPlugin.start() of bundle org.jboss.ide.eclipse.as.ui.
                  at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:806)
                  at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:755)
                  at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:370)
                  at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:284)
                  at org.eclipse.osgi.framework.util.SecureAction.start(SecureAction.java:417)
                  at org.eclipse.osgi.internal.loader.BundleLoader.setLazyTrigger(BundleLoader.java:265)
                  at org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.postFindLocalClass(EclipseLazyStarter.java:106)
                  ... 97 more
                  Caused by: java.lang.IllegalAccessError: tried to access method org.eclipse.wst.server.ui.internal.ServerUIPreferences.<init>()V from class org.jboss.ide.eclipse.as.ui.JBossServerUIPlugin
                  at org.jboss.ide.eclipse.as.ui.JBossServerUIPlugin.start(JBossServerUIPlugin.java:78)
                  at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:783)
                  at java.security.AccessController.doPrivileged(Native Method)
                  at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:774)
                  ... 103 more
                  
                  
                  

                   

                  And this message:

                   

                  Plug-in org.jboss.ide.eclipse.as.ui was unable to load class org.jboss.ide.eclipse.as.ui.editor.PollerSection.

                   

                  So unfortunately, this means I too have to wait a while before being able to use Eclipse 3.6. The default WTP adapter for JBoss is laughable bad (it repackages and redeploys a whole ear even if you change 1 character in a .xhtml file) and I believe xhtml/facelets editing is still completely non-existent in WTP.

                   

                  (To be honest, given the professional level at which Java is used in this world and the popularity of Eclipse I'm really shocked and appalled by the incredible low quality of the IDE in its base configuration. I would expect that for some obscure little language that nobody uses, but for one of the main programming languages and IDEs this is really awkward.)

                  • 6. Re: Installing JBoss Tools on Eclipse 3.6 RC
                    henk de boer Master

                    Rob Stryker wrote:

                     

                    There are compilation errors when compiling against eclipse 3.6 and wtp 3.2, some in AS Tools and some elsewhere, and unfortunately these cannot be committed until the entire jbosstools codebase is ready to switch. But we plan to switch our trunk over relatively quickly after the 3.6 release...

                     

                    That's good news, looking forward to it

                    • 7. Re: Installing JBoss Tools on Eclipse 3.6 RC
                      Max Rydahl Andersen Master

                      Correction, we are switching over *now*, we just created a branch for this Eclipse Helios specific fixes (that is why you are seing "Helios" builds) and I hope we will have trunk moved to 3.6 end of this week (assuming Eclipse 3.6 haven't done massive changes in the internal API's we unfortunately still depend on that we can't fix relatively easy)

                       

                      Still after we got the thing to *compile* then there are new features such as the now more flexibile linked folders and virtual resources which needs to be considered.

                       

                      Getting feedback about what doesn't work/works on Helios would be great

                      • 8. Re: Installing JBoss Tools on Eclipse 3.6 RC
                        Krasimir Goutcev Apprentice

                        I have Windows 64 bit machine. What build of eclipse 3.6 I must use to work with  JBT(Helios). 32 or 64 bit?

                        • 9. Re: Installing JBoss Tools on Eclipse 3.6 RC
                          Anders Åberg Newbie

                          Are there any builds out that are testable on Helios?